TokenFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.TokenFilterFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Interface TokenFilterFactory

All Known Implementing Classes:
  ArabicNormalizationFilterFactory, ArabicStemFilterFactory, ASCIIFoldingFilterFactory, BaseTokenFilterFactory, BeiderMorseFilterFactory, BrazilianStemFilterFactory, BulgarianStemFilterFactory, CapitalizationFilterFactory, ChineseFilterFactory, CJKBigramFilterFactory, CJKWidthFilterFactory, ClassicFilterFactory, CollationKeyFilterFactory, CommonGramsFilterFactory, CommonGramsQueryFilterFactory, CzechStemFilterFactory, DelimitedPayloadTokenFilterFactory, DictionaryCompoundWordTokenFilterFactory, DoubleMetaphoneFilterFactory, DutchStemFilterFactory, EdgeNGramFilterFactory, ElisionFilterFactory, EnglishMinimalStemFilterFactory, EnglishPorterFilterFactory, EnglishPossessiveFilterFactory, FinnishLightStemFilterFactory, FrenchLightStemFilterFactory, FrenchMinimalStemFilterFactory, FrenchStemFilterFactory, GalicianMinimalStemFilterFactory, GalicianStemFilterFactory, GermanLightStemFilterFactory, GermanMinimalStemFilterFactory, GermanNormalizationFilterFactory, GermanStemFilterFactory, GreekLowerCaseFilterFactory, GreekStemFilterFactory, HindiNormalizationFilterFactory, HindiStemFilterFactory, HungarianLightStemFilterFactory, HunspellStemFilterFactory, HyphenatedWordsFilterFactory, HyphenationCompoundWordTokenFilterFactory, ICUCollationKeyFilterFactory, ICUFoldingFilterFactory, ICUNormalizer2FilterFactory, ICUTransformFilterFactory, IndicNormalizationFilterFactory, IndonesianStemFilterFactory, IrishLowerCaseFilterFactory, ISOLatin1AccentFilterFactory, ItalianLightStemFilterFactory, JapaneseBaseFormFilterFactory, JapaneseKatakanaStemFilterFactory, JapanesePartOfSpeechStopFilterFactory, JapaneseReadingFormFilterFactory, KeepWordFilterFactory, KeywordMarkerFilterFactory, KStemFilterFactory, LatvianStemFilterFactory, LengthFilterFactory, LimitTokenCountFilterFactory, LowerCaseFilterFactory, NGramFilterFactory, NorwegianLightStemFilterFactory, NorwegianMinimalStemFilterFactory, NumericPayloadTokenFilterFactory, PatternReplaceFilterFactory, PersianNormalizationFilterFactory, PhoneticFilterFactory, PorterStemFilterFactory, PortugueseLightStemFilterFactory, PortugueseMinimalStemFilterFactory, PortugueseStemFilterFactory, PositionFilterFactory, RemoveDuplicatesTokenFilterFactory, ReversedWildcardFilterFactory, ReverseStringFilterFactory, RussianLightStemFilterFactory, RussianLowerCaseFilterFactory, RussianStemFilterFactory, ShingleFilterFactory, SmartChineseWordTokenFilterFactory, SnowballPorterFilterFactory, SpanishLightStemFilterFactory, StandardFilterFactory, StemmerOverrideFilterFactory, StempelPolishStemFilterFactory, StopFilterFactory, SwedishLightStemFilterFactory, SynonymFilterFactory, ThaiWordFilterFactory, TokenOffsetPayloadTokenFilterFactory, TrimFilterFactory, TurkishLowerCaseFilterFactory, TypeAsPayloadTokenFilterFactory, TypeTokenFilterFactory, WordDelimiterFilterFactory

    public interface TokenFilterFactory

A `TokenFilterFactory` creates a `TokenFilter` to transform one `TokenStream` into another.

TokenFilterFactories are registered for `FieldType`s with the `IndexSchema` through the `schema.xml` file.

Example `schema.xml` entry to register a TokenFilterFactory implementation to transform tokens in a field of type "cool"

      <fieldtype name="cool" class="solr.TextField">
          <analyzer>
          ...
          <filter class="foo.MyTokenFilterFactory"/>
          ...

A single instance of any registered TokenFilterFactory is created via the default constructor and is reused for each FieldType.

Version:
  $Id: TokenFilterFactory.java 1206916 2011-11-27 23:23:00Z erick $

Method Summary
`TokenStream` | `create(TokenStream input)` Transform the specified input TokenStream
`Map<String,String>` | `getArgs()` Accessor method for reporting the args used to initialize this factory.
`void` | `init(Map<String,String> args)` `init` will be called just once, immediately after creation.

Method Detail

### init

    void init(Map<String,String> args)

  `init` will be called just once, immediately after creation.

  The args are user-level initialization parameters that may be specified when declaring the factory in the schema.xml

### getArgs

    Map<String,String> getArgs()

  Accessor method for reporting the args used to initialize this factory.

  Implementations are strongly encouraged to return the contents of the Map passed to to the init method

### create

    TokenStream create(TokenStream input)

  Transform the specified input TokenStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD